跳转到主要内容
GET
/
payment
/
open
/
institution
/
v1
/
pay
/
bill
/
orderlist
获取资金流水账单
curl --request GET \
  --url https://openplatform.gateapi.io/payment/open/institution/v1/pay/bill/orderlist \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'
{
  "status": "SUCCESS",
  "code": "000000",
  "errorMessage": "",
  "data": {
    "merchant_id": 10002,
    "total": 18,
    "hasNext": true,
    "nextPage": 4,
    "balance_history_item_list": [
      {
        "transactId": "355711415868440576",
        "transactTime": 1746769810346,
        "orderId": "355450733498011648",
        "merchantTradeNo": "1746707644001",
        "financialType": "refund_fi",
        "payAmount": "-1",
        "currency": "USDT",
        "Balance": "934183.9783514209",
        "BalanceCurrency": "USDT",
        "status": "PAID",
        "payer": 10002,
        "buyer": "",
        "fullChain": "",
        "hash": "",
        "address": "TMB5f9CgcnYR365knMXKrMM6aGoYpphquj",
        "payChannel": "mini_pay",
        "refund_gate_id": "13411853592035330"
      },
      {
        "transactId": "355711310076907520",
        "transactTime": 1746769785136,
        "orderId": "355450733498011648",
        "merchantTradeNo": "1746707644001",
        "financialType": "refund_fi",
        "payAmount": "+1",
        "currency": "USDT",
        "Balance": "934184.9783514209",
        "BalanceCurrency": "USDT",
        "status": "PAID",
        "payer": 10002,
        "buyer": "",
        "fullChain": "",
        "hash": "",
        "address": "TMB5f9CgcnYR365knMXKrMM6aGoYpphquj",
        "payChannel": "mini_pay",
        "refund_gate_id": "13411849297068033"
      },
      {
        "transactId": "355711310076907520",
        "transactTime": 1746769785131,
        "orderId": "355450733498011648",
        "merchantTradeNo": "1746707644001",
        "financialType": "refund_fi",
        "payAmount": "-1",
        "currency": "USDT",
        "Balance": "934183.9783514209",
        "BalanceCurrency": "USDT",
        "status": "PAID",
        "payer": 10002,
        "buyer": "",
        "fullChain": "",
        "hash": "",
        "address": "TMB5f9CgcnYR365knMXKrMM6aGoYpphquj",
        "payChannel": "mini_pay",
        "refund_gate_id": "13411849297068033"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.gate.com/llms.txt

Use this file to discover all available pages before exploring further.

概述

本页说明 GET /payment/open/institution/v1/pay/bill/orderlist 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。

说明

  • 认证方式使用 GatePay 标准签名请求头。
  • 本页展示同一接口的机构路径版本。
  • 除创建子账户、查询子账户详情、分页查询子账户外,机构侧请求需携带 X-GatePay-On-Behalf-Of
  • 通用签名规则请参见 /api-reference/version/100/cn/common/securityAndSignature

请求头

X-GatePay-Certificate-ClientId
string
必填

商户客户端ID,在 GatePay 平台申请获得

示例:

"4186d0c6-6a35-55a9-8dc6-5312769dbff8"

X-GatePay-Signature
string
必填

HMAC-SHA256签名,用于验证请求合法性

示例:

"672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77"

X-GatePay-Timestamp
string
必填

时间戳(毫秒),与服务器时间差不能超过5分钟

示例:

"1672905655498"

X-GatePay-Nonce
string
必填

随机数,用于防止重放攻击

示例:

"3525756760"

X-GatePay-On-Behalf-Of
string
必填

必填代理归属请求头。请填写本次请求的发起方账户 ID;在机构代理商户 API 中通常填写目标子账户 ID,在机构代扣与划转接口中可填写机构账户 ID 或子账户 ID。

查询参数

startTime
integer<int64>
必填

开始时间,单位毫秒

endTime
integer<int64>
必填

结束时间,单位毫秒

page
integer
必填

分页编号,从 1 开始

count
integer
必填

获取一页条数,最大 500

currency
string

搜索币种

financialType
string

财务类型:参考财务类型定义,包含收款 (receipt_fi)、礼品卡 (giftCard_fi)、奖励 (reward_fi)、下发/提现 (distribution_fi)、退款 (refund_fi)、划转 (transfer_fi)、闪兑买 (convert_buy_fi)、闪兑卖 (convert_sell_fi)、闪兑退款 (convert_refund_fi)、法币充值 (otcRecharge_add_fi)、法币提现 (otcWithdraw_fi) 及其他 (others_fi)

orderType
integer

查询订单类型:1-商户订单号 2-GatePay订单号 3-资金流水订单号

orderIdNo
string

查询单号

响应

200 - application/json

查询成功

status
string
必填

响应状态

示例:

"SUCCESS"

code
string
必填

响应码

示例:

"000000"

errorMessage
string

错误信息

示例:

""

data
object